_USB_Isr:
;Main.c,77 :: 		void USB_Isr() iv IVT_USB_1 ilevel 7 ics ICS_SRS {
RDPGPR	SP, SP
ADDIU	SP, SP, -12
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 7168
MTC0	R30, 12, 0
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;Main.c,78 :: 		USB_Interrupt_Proc();
JAL	_USB_Interrupt_Proc+0
NOP	
;Main.c,79 :: 		USBIF_bit = 0;
LUI	R2, BitMask(USBIF_bit+0)
ORI	R2, R2, BitMask(USBIF_bit+0)
_SX	8, Offset(USBIF_bit+4), 4
;Main.c,80 :: 		}
L_end_USB_Isr:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
ADDIU	SP, SP, 12
WRPGPR	SP, SP
ERET	
; end of _USB_Isr
_main:
;Main.c,82 :: 		void main(void) {
;Main.c,83 :: 		Config(); // Configure device and memory allocation.
JAL	_Config+0
NOP	
;Main.c,85 :: 		USBIP0_bit = 1;
LUI	R2, BitMask(USBIP0_bit+0)
ORI	R2, R2, BitMask(USBIP0_bit+0)
_SX	8, Offset(USBIP0_bit+8), 4
;Main.c,86 :: 		USBIP1_bit = 1;
LUI	R2, BitMask(USBIP1_bit+0)
ORI	R2, R2, BitMask(USBIP1_bit+0)
_SX	8, Offset(USBIP1_bit+8), 4
;Main.c,87 :: 		USBIP2_bit = 1;
LUI	R2, BitMask(USBIP2_bit+0)
ORI	R2, R2, BitMask(USBIP2_bit+0)
_SX	8, Offset(USBIP2_bit+8), 4
;Main.c,89 :: 		USBIE_bit = 1;
LUI	R2, BitMask(USBIE_bit+0)
ORI	R2, R2, BitMask(USBIE_bit+0)
_SX	8, Offset(USBIE_bit+8), 4
;Main.c,91 :: 		EnableInterrupts();
EI	R30
;Main.c,93 :: 		HID_Enable(&HidReadBuff, &HidWriteBuff); // Enable USB HID communication.
LUI	R26, #hi_addr(_HidWriteBuff+0)
ORI	R26, R26, #lo_addr(_HidWriteBuff+0)
LUI	R25, #hi_addr(_HidReadBuff+0)
ORI	R25, R25, #lo_addr(_HidReadBuff+0)
JAL	_HID_Enable+0
NOP	
;Main.c,96 :: 		if (!EnterBootloaderMode()) { // Should we enter bootloader mode?
JAL	_EnterBootloaderMode+0
NOP	
BEQ	R2, R0, L__main4
NOP	
J	L_main0
NOP	
L__main4:
;Main.c,97 :: 		HID_Disable();              // No, disable USB HID module.
JAL	_HID_Disable+0
NOP	
;Main.c,98 :: 		Delay_10ms();               // Wait a little bit.
JAL	_Delay_10ms+0
NOP	
;Main.c,100 :: 		StartProgram();             // Start already loaded application.
JAL	_StartProgram+0
NOP	
;Main.c,101 :: 		}
J	L_main1
NOP	
L_main0:
;Main.c,103 :: 		StartBootloader();          // Yes, enter bootloader mode.
JAL	_StartBootloader+0
NOP	
L_main1:
;Main.c,104 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
